Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.configuration
Class Configuration

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--org.apache.velocity.runtime.configuration.Configuration

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

Deprecated. As of version 1.1, please use ExtendedProperties from the Jakarta Commons Collections component.

public class Configuration
extends java.util.Hashtable

This class extends normal Java properties by adding the possibility to use the same key many times concatenating the value strings instead of overwriting them.

The Extended Properties syntax is explained here:

- Each property has the syntax `key = value`
- The key may use any character but the equal sign '='.
- value may be separated on different lines if a backslash is placed at the end of the line that continues below.
- If value is a list of strings, each token is separated by a comma ','.
- Commas in each token are escaped placing a backslash right before the comma.
- If a key is used more than once, the values are appended like if they were on the same line separated with commas.
- Blank lines and lines starting with character '#' are skipped.
- If a property is named "include" (or whatever is defined by setInclude() and getInclude() and the value of that property is the full path to a file on disk, that file will be included into the ConfigurationsRepository. You can also pull in files relative to the parent configuration file. So if you have something like the following: include = additional.properties Then "additional.properties" is expected to be in the same directory as the parent configuration file. Duplicate name values will be replaced, so be careful.

Here is an example of a valid extended properties file:

          # lines starting with # are comments

          # This is the simplest property
          key = value

          # A long property may be separated on multiple lines
          longvalue = aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa \
                      aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa

          # This is a property with many tokens
          tokens_on_a_line = first token, second token

          # This sequence generates exactly the same result
          tokens_on_multiple_lines = first token
          tokens_on_multiple_lines = second token

          # commas may be escaped in tokens
          commas.excaped = Hi\, what'up?

NOTE: this class has not been written for performance nor low memory usage. In fact, it's way slower than it could be and generates too much memory garbage. But since performance is not an issue during intialization (and there is not much time to improve it), I wrote it this way. If you don't like it, go ahead and tune it up!

Version:
  $Id: Configuration.java,v 1.33 2001/10/22 03:53:23 jon Exp $
Author:
  Stefano Mazzocchi, Jon S. Stevens, Dave Bryson, Jason van Zyl, Geir Magnusson Jr., Leon Messerschmidt, Serialized Form

Inner Class Summary
`(package private) class` | `Configuration.PropertiesReader` Deprecated. This class is used to read properties lines.
`(package private) class` | `Configuration.PropertiesTokenizer` Deprecated. This class divides into tokens a property value.

Inner classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary
`protected java.lang.String` | `basePath` Deprecated. Base path of the configuration file used to create this Configuration object.
`private Configuration` | `defaults` Deprecated. Default configurations repository.
`private org.apache.commons.collections.ExtendedProperties` | `deprecationCrutch` Deprecated.
`protected java.lang.String` | `file` Deprecated. The file connected to this repository (holding comments and such).
`protected java.lang.String` | `fileSeparator` Deprecated. File separator.
`protected static java.lang.String` | `include` Deprecated. This is the name of the property that can point to other properties file for including other properties files.
`protected boolean` | `isInitialized` Deprecated. Has this configuration been intialized.
`protected java.util.ArrayList` | `keysAsListed` Deprecated. These are the keys in the order they listed in the configuration file.

Fields inherited from class java.util.Hashtable
`count, emptyEnumerator, emptyIterator, ENTRIES, entrySet, KEYS, keySet, loadFactor, modCount, serialVersionUID, table, threshold, values, VALUES`

Constructor Summary
`Configuration()` Deprecated. Creates an empty extended properties object.
`Configuration(java.lang.String file)` Deprecated. Creates and loads the extended properties from the specified file.
`Configuration(java.lang.String file, java.lang.String defaultFile)` Deprecated. Creates and loads the extended properties from the specified file.

Method Summary
`void` | `addProperty(java.lang.String key, java.lang.Object token)` Deprecated. Add a property to the configuration.
`private void` | `addStringProperty(java.lang.String key, java.lang.String token)` Deprecated. Sets a string property w/o checking for commas - used internally when a property has been broken up into strings that could contain escaped commas to prevent the inadvertant vectorization.
`void` | `clearProperty(java.lang.String key)` Deprecated. Clear a property in the configuration.
`void` | `combine(Configuration c)` Deprecated. Combines an existing Hashtable with this Hashtable.
`static Configuration` | `convertProperties(java.util.Properties p)` Deprecated. Convert a standard properties class into a configuration class.
`void` | `display()` Deprecated. Display the configuration for debugging purposes.
`boolean` | `getBoolean(java.lang.String key)` Deprecated. Get a boolean associated with the given configuration key.
`boolean` | `getBoolean(java.lang.String key, boolean defaultValue)` Deprecated. Get a boolean associated with the given configuration key.
`java.lang.Boolean` | `getBoolean(java.lang.String key, java.lang.Boolean defaultValue)` Deprecated. Get a boolean associated with the given configuration key.
`byte` | `getByte(java.lang.String key)` Deprecated. Get a byte associated with the given configuration key.
`byte` | `getByte(java.lang.String key, byte defaultValue)` Deprecated. Get a byte associated with the given configuration key.
`java.lang.Byte` | `getByte(java.lang.String key, java.lang.Byte defaultValue)` Deprecated. Get a byte associated with the given configuration key.
`double` | `getDouble(java.lang.String key)` Deprecated. Get a double associated with the given configuration key.
`double` | `getDouble(java.lang.String key, double defaultValue)` Deprecated. Get a double associated with the given configuration key.
`java.lang.Double` | `getDouble(java.lang.String key, java.lang.Double defaultValue)` Deprecated. Get a double associated with the given configuration key.
`org.apache.commons.collections.ExtendedProperties` | `getExtendedProperties()` Deprecated. Do not use. For deprecation assistance only.
`float` | `getFloat(java.lang.String key)` Deprecated. Get a float associated with the given configuration key.
`float` | `getFloat(java.lang.String key, float defaultValue)` Deprecated. Get a float associated with the given configuration key.
`java.lang.Float` | `getFloat(java.lang.String key, java.lang.Float defaultValue)` Deprecated. Get a float associated with the given configuration key.
`java.lang.String` | `getInclude()` Deprecated. Gets the property value for including other properties files.
`int` | `getInt(java.lang.String name)` Deprecated. The purpose of this method is to get the configuration resource with the given name as an integer.
`int` | `getInt(java.lang.String name, int def)` Deprecated. The purpose of this method is to get the configuration resource with the given name as an integer, or a default value.
`int` | `getInteger(java.lang.String key)` Deprecated. Get a int associated with the given configuration key.
`int` | `getInteger(java.lang.String key, int defaultValue)` Deprecated. Get a int associated with the given configuration key.
`java.lang.Integer` | `getInteger(java.lang.String key, java.lang.Integer defaultValue)` Deprecated. Get a int associated with the given configuration key.
`java.util.Iterator` | `getKeys()` Deprecated. Get the list of the keys contained in the configuration repository.
`java.util.Iterator` | `getKeys(java.lang.String prefix)` Deprecated. Get the list of the keys contained in the configuration repository that match the specified prefix.
`long` | `getLong(java.lang.String key)` Deprecated. Get a long associated with the given configuration key.
`long` | `getLong(java.lang.String key, long defaultValue)` Deprecated. Get a long associated with the given configuration key.
`java.lang.Long` | `getLong(java.lang.String key, java.lang.Long defaultValue)` Deprecated. Get a long associated with the given configuration key.
`java.util.Properties` | `getProperties(java.lang.String key)` Deprecated. Get a list of properties associated with the given configuration key.
`java.util.Properties` | `getProperties(java.lang.String key, java.util.Properties defaults)` Deprecated. Get a list of properties associated with the given configuration key.
`java.lang.Object` | `getProperty(java.lang.String key)` Deprecated. Gets a property from the configuration.
`short` | `getShort(java.lang.String key)` Deprecated. Get a short associated with the given configuration key.
`short` | `getShort(java.lang.String key, short defaultValue)` Deprecated. Get a short associated with the given configuration key.
`java.lang.Short` | `getShort(java.lang.String key, java.lang.Short defaultValue)` Deprecated. Get a short associated with the given configuration key.
`java.lang.String` | `getString(java.lang.String key)` Deprecated. Get a string associated with the given configuration key.
`java.lang.String` | `getString(java.lang.String key, java.lang.String defaultValue)` Deprecated. Get a string associated with the given configuration key.
`java.lang.String[]` | `getStringArray(java.lang.String key)` Deprecated. Get an array of strings associated with the given configuration key.
`java.util.Vector` | `getVector(java.lang.String key)` Deprecated. Get a Vector of strings associated with the given configuration key.
`java.util.Vector` | `getVector(java.lang.String key, java.util.Vector defaultValue)` Deprecated. Get a Vector of strings associated with the given configuration key.
`private void` | `init(Configuration exp)` Deprecated. Private initializer method that sets up the generic resources.
`boolean` | `isInitialized()` Deprecated. Indicate to client code whether property resources have been initialized or not.
`void` | `load(java.io.InputStream input)` Deprecated. Load the properties from the given input stream.
`void` | `save(java.io.OutputStream output, java.lang.String Header)` Deprecated. Save the properties to the given outputstream.
`void` | `setInclude(java.lang.String inc)` Deprecated. Sets the property value for including other properties files.
`void` | `setProperty(java.lang.String key, java.lang.Object value)` Deprecated. Set a property, this will replace any previously set values.
`Configuration` | `subset(java.lang.String prefix)` Deprecated. Create a Configurations object that is a subset of this one.
`java.lang.String` | `testBoolean(java.lang.String value)` Deprecated. Test whether the string represent by value maps to a boolean value or not.

Methods inherited from class java.util.Hashtable
`, clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, getEnumeration, getIterator, hashCode, isEmpty, keys, keySet, put, putAll, readObject, rehash, remove, size, toString, values, writeObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### deprecationCrutch

    private org.apache.commons.collections.ExtendedProperties deprecationCrutch

  Deprecated.

### defaults

    private Configuration defaults

  Deprecated.
  Default configurations repository.

### file

    protected java.lang.String file

  Deprecated.
  The file connected to this repository (holding comments and such).

### basePath

    protected java.lang.String basePath

  Deprecated.
  Base path of the configuration file used to create this Configuration object.

### fileSeparator

    protected java.lang.String fileSeparator

  Deprecated.
  File separator.

### isInitialized

    protected boolean isInitialized

  Deprecated.
  Has this configuration been intialized.

### include

    protected static java.lang.String include

  Deprecated.
  This is the name of the property that can point to other properties file for including other properties files.

### keysAsListed

    protected java.util.ArrayList keysAsListed

  Deprecated.
  These are the keys in the order they listed in the configuration file. This is useful when you wish to perform operations with configuration information in a particular order.

Constructor Detail

### Configuration

    public Configuration()

  Deprecated.
  Creates an empty extended properties object.

### Configuration

    public Configuration(java.lang.String file)
                  throws java.io.IOException

  Deprecated.
  Creates and loads the extended properties from the specified file.
  Parameters:
    `file` - A String.
  Throws:
    `IOException.` -

### Configuration

    public Configuration(java.lang.String file,
                         java.lang.String defaultFile)
                  throws java.io.IOException

  Deprecated.
  Creates and loads the extended properties from the specified file.
  Parameters:
    `file` - A String.
  Throws:
    `IOException.` -

Method Detail

### init

    private void init(Configuration exp)
               throws java.io.IOException

  Deprecated.
  Private initializer method that sets up the generic resources.
  Throws:
    `IOException,` - if there was an I/O problem.

### isInitialized

    public boolean isInitialized()

  Deprecated.
  Indicate to client code whether property resources have been initialized or not.

### getInclude

    public java.lang.String getInclude()

  Deprecated.
  Gets the property value for including other properties files. By default it is "include".
  Returns:
    A String.

### setInclude

    public void setInclude(java.lang.String inc)

  Deprecated.
  Sets the property value for including other properties files. By default it is "include".
  Parameters:
    `inc` - A String.

### load

    public void load(java.io.InputStream input)
              throws java.io.IOException

  Deprecated.
  Load the properties from the given input stream.
  Parameters:
    `input` - An InputStream.
  Throws:
    `IOException.` -

### getProperty

    public java.lang.Object getProperty(java.lang.String key)

  Deprecated.
  Gets a property from the configuration.
  Parameters:
    `key` - property to retrieve
  Returns:
    value as object. Will return user value if exists, if not then default value if exists, otherwise null

### addProperty

    public void addProperty(java.lang.String key,
                            java.lang.Object token)

  Deprecated.
  Add a property to the configuration. If it already exists then the value stated here will be added to the configuration entry. For example, if resource.loader = file is already present in the configuration and you addProperty("resource.loader", "classpath") Then you will end up with a Vector like the following: ["file", "classpath"]
  Parameters:
    `String` - key
    `String` - value

### addStringProperty

    private void addStringProperty(java.lang.String key,
                                   java.lang.String token)

  Deprecated.
  Sets a string property w/o checking for commas - used internally when a property has been broken up into strings that could contain escaped commas to prevent the inadvertant vectorization. Thanks to Leon Messerschmidt for this one.

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.Object value)

  Deprecated.
  Set a property, this will replace any previously set values. Set values is implicitly a call to clearProperty(key), addProperty(key,value).
  Parameters:
    `String` - key
    `String` - value

### save

    public void save(java.io.OutputStream output,
                     java.lang.String Header)
              throws java.io.IOException

  Deprecated.
  Save the properties to the given outputstream.
  Parameters:
    `output` - An OutputStream.
    `header` - A String.
  Throws:
    `IOException.` -

### combine

    public void combine(Configuration c)

  Deprecated.
  Combines an existing Hashtable with this Hashtable. Warning: It will overwrite previous entries without warning.
  Parameters:
    `Configuration` -

### clearProperty

    public void clearProperty(java.lang.String key)

  Deprecated.
  Clear a property in the configuration.
  Parameters:
    `String` - key to remove along with corresponding value.

### getKeys

    public java.util.Iterator getKeys()

  Deprecated.
  Get the list of the keys contained in the configuration repository.
  Returns:
    An Iterator.

### getKeys

    public java.util.Iterator getKeys(java.lang.String prefix)

  Deprecated.
  Get the list of the keys contained in the configuration repository that match the specified prefix.
  Parameters:
    `prefix` - The prefix to test against.
  Returns:
    An Iterator of keys that match the prefix.

### subset

    public Configuration subset(java.lang.String prefix)

  Deprecated.
  Create a Configurations object that is a subset of this one. Take into account duplicate keys by using the setProperty() in Configuration.
  Parameters:
    `String` - prefix

### display

    public void display()

  Deprecated.
  Display the configuration for debugging purposes.

### getString

    public java.lang.String getString(java.lang.String key)

  Deprecated.
  Get a string associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
  Returns:
    The associated string.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a String.

### getString

    public java.lang.String getString(java.lang.String key,
                                      java.lang.String defaultValue)

  Deprecated.
  Get a string associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated string if key is found, default value otherwise.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a String.

### getProperties

    public java.util.Properties getProperties(java.lang.String key)

  Deprecated.
  Get a list of properties associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
  Returns:
    The associated properties if key is found.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a String/Vector.
    `java.lang.IllegalArgumentException` - if one of the tokens is malformed (does not contain an equals sign).

### getProperties

    public java.util.Properties getProperties(java.lang.String key,
                                              java.util.Properties defaults)

  Deprecated.
  Get a list of properties associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
  Returns:
    The associated properties if key is found.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a String/Vector.
    `java.lang.IllegalArgumentException` - if one of the tokens is malformed (does not contain an equals sign).

### getStringArray

    public java.lang.String[] getStringArray(java.lang.String key)

  Deprecated.
  Get an array of strings associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
  Returns:
    The associated string array if key is found.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a String/Vector.

### getVector

    public java.util.Vector getVector(java.lang.String key)

  Deprecated.
  Get a Vector of strings associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
  Returns:
    The associated Vector.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a Vector.

### getVector

    public java.util.Vector getVector(java.lang.String key,
                                      java.util.Vector defaultValue)

  Deprecated.
  Get a Vector of strings associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated Vector.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a Vector.

### getBoolean

    public boolean getBoolean(java.lang.String key)

  Deprecated.
  Get a boolean associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
  Returns:
    The associated boolean.
  Throws:
    `java.util.NoSuchElementException` - is thrown if the key doesn't map to an existing object.
    `ClassCastException` - is thrown if the key maps to an object that is not a Boolean.

### getBoolean

    public boolean getBoolean(java.lang.String key,
                              boolean defaultValue)

  Deprecated.
  Get a boolean associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated boolean.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a Boolean.

### getBoolean

    public java.lang.Boolean getBoolean(java.lang.String key,
                                        java.lang.Boolean defaultValue)

  Deprecated.
  Get a boolean associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated boolean if key is found and has valid format, default value otherwise.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a Boolean.

### testBoolean

    public java.lang.String testBoolean(java.lang.String value)

  Deprecated.
  Test whether the string represent by value maps to a boolean value or not. We will allow `true`, `on`, and `yes` for a `true` boolean value, and `false`, `off`, and `no` for `false` boolean values. Case of value to test for boolean status is ignored.
  Parameters:
    `String` - The value to test for boolean state.
  Returns:
    `true` or `false` if the supplied text maps to a boolean value, or `null` otherwise.

### getByte

    public byte getByte(java.lang.String key)

  Deprecated.
  Get a byte associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
  Returns:
    The associated byte.
  Throws:
    `java.util.NoSuchElementException` - is thrown if the key doesn't map to an existing object.
    `ClassCastException` - is thrown if the key maps to an object that is not a Byte.
    `java.lang.NumberFormatException` - is thrown if the value mapped by the key has not a valid number format.

### getByte

    public byte getByte(java.lang.String key,
                        byte defaultValue)

  Deprecated.
  Get a byte associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated byte.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a Byte.
    `java.lang.NumberFormatException` - is thrown if the value mapped by the key has not a valid number format.

### getByte

    public java.lang.Byte getByte(java.lang.String key,
                                  java.lang.Byte defaultValue)

  Deprecated.
  Get a byte associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated byte if key is found and has valid format, default value otherwise.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a Byte.
    `java.lang.NumberFormatException` - is thrown if the value mapped by the key has not a valid number format.

### getShort

    public short getShort(java.lang.String key)

  Deprecated.
  Get a short associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
  Returns:
    The associated short.
  Throws:
    `java.util.NoSuchElementException` - is thrown if the key doesn't map to an existing object.
    `ClassCastException` - is thrown if the key maps to an object that is not a Short.
    `java.lang.NumberFormatException` - is thrown if the value mapped by the key has not a valid number format.

### getShort

    public short getShort(java.lang.String key,
                          short defaultValue)

  Deprecated.
  Get a short associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated short.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a Short.
    `java.lang.NumberFormatException` - is thrown if the value mapped by the key has not a valid number format.

### getShort

    public java.lang.Short getShort(java.lang.String key,
                                    java.lang.Short defaultValue)

  Deprecated.
  Get a short associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated short if key is found and has valid format, default value otherwise.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a Short.
    `java.lang.NumberFormatException` - is thrown if the value mapped by the key has not a valid number format.

### getInt

    public int getInt(java.lang.String name)

  Deprecated.
  The purpose of this method is to get the configuration resource with the given name as an integer.
  Parameters:
    `name` - The resource name.
  Returns:
    The value of the resource as an integer.

### getInt

    public int getInt(java.lang.String name,
                      int def)

  Deprecated.
  The purpose of this method is to get the configuration resource with the given name as an integer, or a default value.
  Parameters:
    `name` - The resource name
    `def` - The default value of the resource.
  Returns:
    The value of the resource as an integer.

### getInteger

    public int getInteger(java.lang.String key)

  Deprecated.
  Get a int associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
  Returns:
    The associated int.
  Throws:
    `java.util.NoSuchElementException` - is thrown if the key doesn't map to an existing object.
    `ClassCastException` - is thrown if the key maps to an object that is not a Integer.
    `java.lang.NumberFormatException` - is thrown if the value mapped by the key has not a valid number format.

### getInteger

    public int getInteger(java.lang.String key,
                          int defaultValue)

  Deprecated.
  Get a int associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated int.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a Integer.
    `java.lang.NumberFormatException` - is thrown if the value mapped by the key has not a valid number format.

### getInteger

    public java.lang.Integer getInteger(java.lang.String key,
                                        java.lang.Integer defaultValue)

  Deprecated.
  Get a int associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated int if key is found and has valid format, default value otherwise.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a Integer.
    `java.lang.NumberFormatException` - is thrown if the value mapped by the key has not a valid number format.

### getLong

    public long getLong(java.lang.String key)

  Deprecated.
  Get a long associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
  Returns:
    The associated long.
  Throws:
    `java.util.NoSuchElementException` - is thrown if the key doesn't map to an existing object.
    `ClassCastException` - is thrown if the key maps to an object that is not a Long.
    `java.lang.NumberFormatException` - is thrown if the value mapped by the key has not a valid number format.

### getLong

    public long getLong(java.lang.String key,
                        long defaultValue)

  Deprecated.
  Get a long associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated long.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a Long.
    `java.lang.NumberFormatException` - is thrown if the value mapped by the key has not a valid number format.

### getLong

    public java.lang.Long getLong(java.lang.String key,
                                  java.lang.Long defaultValue)

  Deprecated.
  Get a long associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated long if key is found and has valid format, default value otherwise.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a Long.
    `java.lang.NumberFormatException` - is thrown if the value mapped by the key has not a valid number format.

### getFloat

    public float getFloat(java.lang.String key)

  Deprecated.
  Get a float associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
  Returns:
    The associated float.
  Throws:
    `java.util.NoSuchElementException` - is thrown if the key doesn't map to an existing object.
    `ClassCastException` - is thrown if the key maps to an object that is not a Float.
    `java.lang.NumberFormatException` - is thrown if the value mapped by the key has not a valid number format.

### getFloat

    public float getFloat(java.lang.String key,
                          float defaultValue)

  Deprecated.
  Get a float associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated float.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a Float.
    `java.lang.NumberFormatException` - is thrown if the value mapped by the key has not a valid number format.

### getFloat

    public java.lang.Float getFloat(java.lang.String key,
                                    java.lang.Float defaultValue)

  Deprecated.
  Get a float associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated float if key is found and has valid format, default value otherwise.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a Float.
    `java.lang.NumberFormatException` - is thrown if the value mapped by the key has not a valid number format.

### getDouble

    public double getDouble(java.lang.String key)

  Deprecated.
  Get a double associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
  Returns:
    The associated double.
  Throws:
    `java.util.NoSuchElementException` - is thrown if the key doesn't map to an existing object.
    `ClassCastException` - is thrown if the key maps to an object that is not a Double.
    `java.lang.NumberFormatException` - is thrown if the value mapped by the key has not a valid number format.

### getDouble

    public double getDouble(java.lang.String key,
                            double defaultValue)

  Deprecated.
  Get a double associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated double.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a Double.
    `java.lang.NumberFormatException` - is thrown if the value mapped by the key has not a valid number format.

### getDouble

    public java.lang.Double getDouble(java.lang.String key,
                                      java.lang.Double defaultValue)

  Deprecated.
  Get a double associated with the given configuration key.
  Parameters:
    `key` - The configuration key.
    `defaultValue` - The default value.
  Returns:
    The associated double if key is found and has valid format, default value otherwise.
  Throws:
    `ClassCastException` - is thrown if the key maps to an object that is not a Double.
    `java.lang.NumberFormatException` - is thrown if the value mapped by the key has not a valid number format.

### convertProperties

    public static Configuration convertProperties(java.util.Properties p)

  Deprecated.
  Convert a standard properties class into a configuration class.
  Parameters:
    `Properties` - properties object to convert into a Configuration object.
  Returns:
    Configuration configuration created from the properties object.

### getExtendedProperties

    public org.apache.commons.collections.ExtendedProperties getExtendedProperties()

  Deprecated. Do not use. For deprecation assistance only.

  Routine intended for deprecation period only as we switch from using the Configuration class in Velocity to the Jakarta Commons ExtendedProperties

  Do not use this for general use. It will disappear

  Returns:
    ExtendedProperties containing data of Configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.